Emitir Certificados (alias)
curl --request POST \
--url https://api.thatsme.com.br/api/v1.0/emissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"badge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient": {
"recipient_name": "<string>",
"recipient_email": "jsmith@example.com",
"recipient_number": "<string>",
"reason": "<string>"
},
"recipient_name": "<string>",
"recipient_email": "jsmith@example.com",
"recipient_number": "<string>",
"reason": "<string>"
}
'import requests
url = "https://api.thatsme.com.br/api/v1.0/emissions"
payload = {
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"badge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient": {
"recipient_name": "<string>",
"recipient_email": "jsmith@example.com",
"recipient_number": "<string>",
"reason": "<string>"
},
"recipient_name": "<string>",
"recipient_email": "jsmith@example.com",
"recipient_number": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
badge_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
recipient: {
recipient_name: '<string>',
recipient_email: 'jsmith@example.com',
recipient_number: '<string>',
reason: '<string>'
},
recipient_name: '<string>',
recipient_email: 'jsmith@example.com',
recipient_number: '<string>',
reason: '<string>'
})
};
fetch('https://api.thatsme.com.br/api/v1.0/emissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Emissões
Emitir Certificados (alias)
POST
/
v1.0
/
emissions
Emitir Certificados (alias)
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
ID do evento vinculado à emissão
ID do badge utilizado na emissão
Destinatário único ou array de destinatários
- object
- object[]
Show child attributes
Show child attributes
Nome completo do destinatário (obrigatório se recipient não for fornecido)
E-mail do destinatário que receberá o convite (obrigatório se recipient não for fornecido)
Número do destinatário para notificações por SMS ou WhatsApp (formato E.164). Exemplo: +5531987654321
Motivo pelo qual o destinatário está recebendo o certificado
Resposta
Certificado emitido com sucesso
⌘I